function theta=find_theta(kappa,beta,one_minus_alpha,phi,epsilon,sigma)

alpha=1-one_minus_alpha;
x=(1-alpha)/(1-alpha+alpha*epsilon+phi*epsilon)*(sigma+(phi+alpha)/(1-alpha));

a=x*beta;
b=-(x+x*beta+kappa);
c=x;
delta=(b)^2-4*a*c;

theta1=(-b-delta^(1/2))/(2*a);
theta2=(-b+delta^(1/2))/(2*a);

if (theta1<1 && theta1>0) && (theta2>1 || theta2<0)
    theta=theta1;
elseif (theta2<1 && theta2>0) && (theta1>1 || theta1<0)
    theta=theta1;
else
    display('No theta can be assigned with these values of alpha, phi, epsilon and kappa.');
    return
end

